package com.zhentao.task;

import cn.hutool.core.util.IdUtil;
import com.zhentao.dto.Message;
import com.zhentao.util.OrderNumberGenerator;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
@EnableScheduling
@Slf4j
public class kafkaStack {

    @Autowired
    private KafkaTemplate<String,String> kafkaTemplate;

    @Scheduled(cron = "0/10 * * * * *")
    public void test1(){
        Message message=new Message();
        long l = IdUtil.getSnowflake(1, 1).nextId();
        message.setMsgId(l+"");
        message.setMsgType("String");
        message.setContent("你在干什么？");
        kafkaTemplate.send("topic",message.toString());
    }
    @KafkaListener(topics = "topic",groupId = "sms_group")
    public void test2(String name){
        System.err.println("消费的信息"+name);
    }

    @Test
    public void test(){
        String s = OrderNumberGenerator.generateOrderNumber();
        System.err.println(s);
    }
}
